Index: aclocal/rtems-debug.m4
===================================================================
--- aclocal/rtems-debug.m4	(revision 396079844dda52776558ba51e3f8a12a22d98679)
+++ aclocal/rtems-debug.m4	(revision 396079844dda52776558ba51e3f8a12a22d98679)
@@ -0,0 +1,19 @@
+AC_DEFUN(RTEMS_ENABLE_RTEMS_DEBUG,
+[
+AC_ARG_ENABLE(rtems-debug,
+[  --disable-rtems-debug       disable RTEMS_DEBUG],
+[case "${enableval}" in
+  yes) RTEMS_DEBUG=yes ;;
+  no) RTEMS_DEBUG=no ;;
+  *) AC_MSG_ERROR([bad value ${enableval} for RTEMS_DEBUG]) ;;
+esac],[RTEMS_DEBUG=no])
+])
+
+AC_DEFUN(RTEMS_CHECK_RTEMS_DEBUG,
+[AC_REQUIRE(RTEMS_ENABLE_RTEMS_DEBUG)
+if test x"${RTEMS_DEBUG}" = x"yes";
+then
+  AC_DEFINE_UNQUOTED(RTEMS_DEBUG,1,[if RTEMS_DEBUG is enabled])
+fi
+])
+
Index: c/src/exec/configure.in
===================================================================
--- c/src/exec/configure.in	(revision 8bb456a4ceb26e73737789ff0f70535dc63106c8)
+++ c/src/exec/configure.in	(revision 396079844dda52776558ba51e3f8a12a22d98679)
@@ -19,6 +19,8 @@
 RTEMS_ENABLE_INLINES
 RTEMS_ENABLE_GCC28
+RTEMS_ENABLE_RTEMS_DEBUG
 
 RTEMS_ENV_RTEMSCPU
+RTEMS_CHECK_RTEMS_DEBUG
 
 RTEMS_CHECK_CPU
Index: configure.in
===================================================================
--- configure.in	(revision 8bb456a4ceb26e73737789ff0f70535dc63106c8)
+++ configure.in	(revision 396079844dda52776558ba51e3f8a12a22d98679)
@@ -34,4 +34,5 @@
 RTEMS_ENABLE_LIBCDIR
 RTEMS_ENABLE_TESTS
+RTEMS_ENABLE_RTEMS_DEBUG
 
 RTEMS_CHECK_CPU
Index: make/custom/Cygwin-posix.cfg
===================================================================
--- make/custom/Cygwin-posix.cfg	(revision 8bb456a4ceb26e73737789ff0f70535dc63106c8)
+++ make/custom/Cygwin-posix.cfg	(revision 396079844dda52776558ba51e3f8a12a22d98679)
@@ -17,5 +17,5 @@
 # RTEMS_LIBC_DIR must already be set (by configuration) DOES NOT MATTER
 LIBC_DEFINES =-D_POSIX_C_SOURCE
-LIBC_DEFINES+=-DRTEMS_UNIXLIB -DRTEMS_UNIX -DMALLOC_PROVIDED -DRTEMS_DEBUG
+LIBC_DEFINES+=-DRTEMS_UNIXLIB -DRTEMS_UNIX -DMALLOC_PROVIDED
 
 # The following define the memory reserved in the executable for the
@@ -42,7 +42,4 @@
 #     do not have a second trap table -- use the BSP's
 #
-#  RTEMS_DEBUG (RTEMS)
-#     If defined, debug checks in RTEMS and support library code are enabled.
-#     
 #  RTEMS_UNIX (unix)
 #     Define this to indicate this is an RTEMS UNIX port.
@@ -51,5 +48,4 @@
 	echo "/* #define NDEBUG 1 */ "                     >>$@
 	echo "#define RTEMS_TEST_NO_PAUSE 1"               >>$@
-	echo "/* #define RTEMS_DEBUG  1 */"                >>$@
 	echo "#define RTEMS_UNIX 1 "                       >>$@
 endef
Index: make/custom/FreeBSD-posix.cfg
===================================================================
--- make/custom/FreeBSD-posix.cfg	(revision 8bb456a4ceb26e73737789ff0f70535dc63106c8)
+++ make/custom/FreeBSD-posix.cfg	(revision 396079844dda52776558ba51e3f8a12a22d98679)
@@ -16,5 +16,5 @@
 # RTEMS_LIBC_DIR must already be set (by configuration) DOES NOT MATTER
 LIBC_DEFINES =-D_POSIX_C_SOURCE
-LIBC_DEFINES+=-DRTEMS_UNIXLIB -DRTEMS_UNIX -DMALLOC_PROVIDED -DRTEMS_DEBUG
+LIBC_DEFINES+=-DRTEMS_UNIXLIB -DRTEMS_UNIX -DMALLOC_PROVIDED
 
 # The following define the memory reserved in the executable for the
@@ -40,7 +40,4 @@
 #     do not have a second trap table -- use the BSP's
 #
-#  RTEMS_DEBUG (RTEMS)
-#     If defined, debug checks in RTEMS and support library code are enabled.
-#     
 #  RTEMS_UNIX (unix)
 #     Define this to indicate this is an RTEMS UNIX port.
@@ -49,5 +46,4 @@
 	echo "/* #define NDEBUG 1 */ "                     >>$@
 	echo "#define RTEMS_TEST_NO_PAUSE 1"               >>$@
-	echo "/* #define RTEMS_DEBUG  1 */"                >>$@
 	echo "#define RTEMS_UNIX 1 "                       >>$@
 endef
Index: make/custom/HPUX9-posix.cfg
===================================================================
--- make/custom/HPUX9-posix.cfg	(revision 8bb456a4ceb26e73737789ff0f70535dc63106c8)
+++ make/custom/HPUX9-posix.cfg	(revision 396079844dda52776558ba51e3f8a12a22d98679)
@@ -22,5 +22,5 @@
 
 # RTEMS_LIBC_DIR must already be set (by configuration) DOES NOT MATTER
-LIBC_DEFINES=-DRTEMS_UNIXLIB -DRTEMS_UNIX -DMALLOC_PROVIDED -DRTEMS_DEBUG
+LIBC_DEFINES=-DRTEMS_UNIXLIB -DRTEMS_UNIX -DMALLOC_PROVIDED
 
 # The following define the memory reserved in the executable for the
@@ -46,7 +46,4 @@
 #     do not have a second trap table -- use the BSP's
 #
-#  RTEMS_DEBUG (RTEMS)
-#     If defined, debug checks in RTEMS and support library code are enabled.
-#
 #  RTEMS_UNIX (unix)
 #     Define this to indicate this is an RTEMS UNIX port.
@@ -55,5 +52,4 @@
 	echo "/* #define NDEBUG 1 */ "                     >>$@
 	echo "#define RTEMS_TEST_NO_PAUSE 1"               >>$@
-	echo "/* #define RTEMS_DEBUG  1 */"                >>$@
 	echo "#define RTEMS_UNIX 1 "                       >>$@
 endef
Index: make/custom/Linux-posix.cfg
===================================================================
--- make/custom/Linux-posix.cfg	(revision 8bb456a4ceb26e73737789ff0f70535dc63106c8)
+++ make/custom/Linux-posix.cfg	(revision 396079844dda52776558ba51e3f8a12a22d98679)
@@ -17,5 +17,5 @@
 # RTEMS_LIBC_DIR must already be set (by configuration) DOES NOT MATTER
 LIBC_DEFINES =-D_POSIX_C_SOURCE
-LIBC_DEFINES+=-DRTEMS_UNIXLIB -DRTEMS_UNIX -DMALLOC_PROVIDED -DRTEMS_DEBUG
+LIBC_DEFINES+=-DRTEMS_UNIXLIB -DRTEMS_UNIX -DMALLOC_PROVIDED
 
 # The following define the memory reserved in the executable for the
@@ -41,7 +41,4 @@
 #  NO_TABLE_MOVE (SPARC PORT)
 #     do not have a second trap table -- use the BSP's
-#
-#  RTEMS_DEBUG (RTEMS)
-#     If defined, debug checks in RTEMS and support library code are enabled.
 #     
 #  RTEMS_UNIX (unix)
@@ -51,5 +48,4 @@
 	echo "/* #define NDEBUG 1 */ "                     >>$@
 	echo "#define RTEMS_TEST_NO_PAUSE 1"               >>$@
-	echo "/* #define RTEMS_DEBUG  1 */"                >>$@
 	echo "#define RTEMS_UNIX 1 "                       >>$@
 endef
Index: make/custom/Solaris-posix.cfg
===================================================================
--- make/custom/Solaris-posix.cfg	(revision 8bb456a4ceb26e73737789ff0f70535dc63106c8)
+++ make/custom/Solaris-posix.cfg	(revision 396079844dda52776558ba51e3f8a12a22d98679)
@@ -19,5 +19,5 @@
 LIBC_DEFINES += -DWORKSPACE_MB=2
 LIBC_DEFINES += -DHEAPSPACE_MB=1
-LIBC_DEFINES +=-DRTEMS_UNIXLIB -DRTEMS_UNIX -DMALLOC_PROVIDED -DRTEMS_DEBUG
+LIBC_DEFINES +=-DRTEMS_UNIXLIB -DRTEMS_UNIX -DMALLOC_PROVIDED
 
 DEFINES += -D__EXTENSIONS__ -Dsolaris2
@@ -39,7 +39,4 @@
 #     do not have a second trap table -- use the BSP's
 #
-#  RTEMS_DEBUG (RTEMS)
-#     If defined, debug checks in RTEMS and support library code are enabled.
-#
 #  RTEMS_UNIX (unix)
 #     Define this to indicate this is an RTEMS UNIX port.
@@ -48,5 +45,4 @@
 	echo "/* #define NDEBUG 1 */ "                     >>$@
 	echo "#define RTEMS_TEST_NO_PAUSE 1"               >>$@
-	echo "/* #define RTEMS_DEBUG  1 */"                >>$@
 	echo "#define RTEMS_UNIX 1 "                       >>$@
 endef
Index: make/custom/bare.cfg
===================================================================
--- make/custom/bare.cfg	(revision 8bb456a4ceb26e73737789ff0f70535dc63106c8)
+++ make/custom/bare.cfg	(revision 396079844dda52776558ba51e3f8a12a22d98679)
@@ -28,12 +28,8 @@
 #     do not pause between screens of output in the rtems tests
 #
-#  RTEMS_DEBUG (RTEMS)
-#     If defined, debug checks in RTEMS and support library code are enabled.
-#
 
 define make-target-options
 	@echo "/* #define NDEBUG 1 */ "                     >>$@
 	@echo "#define RTEMS_TEST_NO_PAUSE 1"               >>$@
-	@echo "/* #define RTEMS_DEBUG  1 */"                >>$@
 endef
 
Index: make/custom/cvme961.cfg
===================================================================
--- make/custom/cvme961.cfg	(revision 8bb456a4ceb26e73737789ff0f70535dc63106c8)
+++ make/custom/cvme961.cfg	(revision 396079844dda52776558ba51e3f8a12a22d98679)
@@ -38,11 +38,8 @@
 #     do not have a second trap table -- use the BSP's
 #
-#  RTEMS_DEBUG (RTEMS)
-#     If defined, debug checks in RTEMS and support library code are enabled.
 
 define make-target-options
 	@echo "/* #define NDEBUG 1 */ "                     >>$@
 	@echo "#define RTEMS_TEST_NO_PAUSE 1"               >>$@
-	@echo "/* #define RTEMS_DEBUG  1 */"                >>$@
 endef
 
Index: make/custom/dmv152.cfg
===================================================================
--- make/custom/dmv152.cfg	(revision 8bb456a4ceb26e73737789ff0f70535dc63106c8)
+++ make/custom/dmv152.cfg	(revision 396079844dda52776558ba51e3f8a12a22d98679)
@@ -36,7 +36,4 @@
 #     do not pause between screens of output in the rtems tests
 #
-#  RTEMS_DEBUG (RTEMS)
-#     If defined, debug checks in RTEMS and support library code are enabled.
-#
 #  USE_CHANNEL_A (DMV152)
 #  USE_CHANNEL_B (DMV152)
@@ -47,5 +44,4 @@
 	@echo "/* #define NDEBUG 1 */ "                     >>$@
 	@echo "#define RTEMS_TEST_NO_PAUSE 1"               >>$@
-	@echo "/* #define RTEMS_DEBUG  1 */"                >>$@
 #	@echo "#define USE_CHANNEL_A  1"                    >>$@
 #	@echo "#define USE_CHANNEL_B  0"                    >>$@
Index: make/custom/dmv177.cfg
===================================================================
--- make/custom/dmv177.cfg	(revision 8bb456a4ceb26e73737789ff0f70535dc63106c8)
+++ make/custom/dmv177.cfg	(revision 396079844dda52776558ba51e3f8a12a22d98679)
@@ -25,7 +25,4 @@
 #  RTEMS_TEST_NO_PAUSE (RTEMS tests)
 #     do not pause between screens of output in the rtems tests
-#
-#  RTEMS_DEBUG (RTEMS)
-#     If defined, debug checks in RTEMS and support library code are enabled.
 #
 #  CONSOLE_USE_POLLED     (psim_bsp)
@@ -62,5 +59,4 @@
 	@echo "/* #define NDEBUG 1 */ "                            >>$@
 	@echo "#define RTEMS_TEST_NO_PAUSE 1"                      >>$@
-	@echo "/* #define RTEMS_DEBUG  1 */"                       >>$@
 	@echo "#define CONSOLE_USE_INTERRUPTS 0"                   >>$@
 	@echo "#define CONSOLE_USE_POLLED !CONSOLE_USE_INTERRUPTS" >>$@
Index: make/custom/efi332.cfg
===================================================================
--- make/custom/efi332.cfg	(revision 8bb456a4ceb26e73737789ff0f70535dc63106c8)
+++ make/custom/efi332.cfg	(revision 396079844dda52776558ba51e3f8a12a22d98679)
@@ -28,11 +28,8 @@
 #     do not pause between screens of output in the rtems tests
 #
-#  RTEMS_DEBUG (RTEMS)
-#     If defined, debug checks in RTEMS and support library code are enabled.
 
 define make-target-options
 	@echo "/* #define NDEBUG 1 */ "                     >>$@
 	@echo "#define RTEMS_TEST_NO_PAUSE 1"               >>$@
-	@echo "/* #define RTEMS_DEBUG  1 */"                >>$@
 endef
 
Index: make/custom/efi68k.cfg
===================================================================
--- make/custom/efi68k.cfg	(revision 8bb456a4ceb26e73737789ff0f70535dc63106c8)
+++ make/custom/efi68k.cfg	(revision 396079844dda52776558ba51e3f8a12a22d98679)
@@ -33,11 +33,8 @@
 #     do not pause between screens of output in the rtems tests
 #
-#  RTEMS_DEBUG (RTEMS)
-#     If defined, debug checks in RTEMS and support library code are enabled.
 
 define make-target-options
 	@echo "/* #define NDEBUG 1 */ "                     >>$@
 	@echo "#define RTEMS_TEST_NO_PAUSE 1"               >>$@
-	@echo "/* #define RTEMS_DEBUG  1 */"                >>$@
 endef
 
Index: make/custom/erc32.cfg
===================================================================
--- make/custom/erc32.cfg	(revision 8bb456a4ceb26e73737789ff0f70535dc63106c8)
+++ make/custom/erc32.cfg	(revision 396079844dda52776558ba51e3f8a12a22d98679)
@@ -41,7 +41,4 @@
 #     do not have a second trap table -- use the BSP's
 #
-#  RTEMS_DEBUG (RTEMS)
-#     If defined, debug checks in RTEMS and support library code are enabled.
-#
 #  CONSOLE_USE_POLLED     (erc32_bsp)
 #  CONSOLE_USE_INTERRUPTS (erc32_bsp)
@@ -65,5 +62,4 @@
 	@echo "/* #define NDEBUG 1 */ "                            >>$@
 	@echo "#define RTEMS_TEST_NO_PAUSE 1"                      >>$@
-	@echo "/* #define RTEMS_DEBUG  1 */"                       >>$@
 	@echo "#define NO_TABLE_MOVE 1"                            >>$@
 	@echo "#define CONSOLE_USE_INTERRUPTS 0"                   >>$@
Index: make/custom/eth_comm.cfg
===================================================================
--- make/custom/eth_comm.cfg	(revision 8bb456a4ceb26e73737789ff0f70535dc63106c8)
+++ make/custom/eth_comm.cfg	(revision 396079844dda52776558ba51e3f8a12a22d98679)
@@ -24,7 +24,4 @@
 #  RTEMS_TEST_NO_PAUSE (RTEMS tests)
 #     do not pause between screens of output in the rtems tests
-#
-#  RTEMS_DEBUG (RTEMS)
-#     If defined, debug checks in RTEMS and support library code are enabled.
 #       
 #  PPC_VECTOR_FILE_BASE (PowerPC)
@@ -55,5 +52,4 @@
 	@echo "/* #define NDEBUG 1 */ "                     >>$@
 	@echo "#define RTEMS_TEST_NO_PAUSE 1"               >>$@
-	@echo "/* #define RTEMS_DEBUG  1 */"                >>$@
 	@echo "#define PPC_VECTOR_FILE_BASE 0x0000"         >>$@
 	@echo "#define PPC_ABI PPC_ABI_EABI"                >>$@
Index: make/custom/gen68302.cfg
===================================================================
--- make/custom/gen68302.cfg	(revision 8bb456a4ceb26e73737789ff0f70535dc63106c8)
+++ make/custom/gen68302.cfg	(revision 396079844dda52776558ba51e3f8a12a22d98679)
@@ -34,11 +34,8 @@
 #     do not pause between screens of output in the rtems tests
 #
-#  RTEMS_DEBUG (RTEMS)
-#     If defined, debug checks in RTEMS and support library code are enabled.
 
 define make-target-options
 	@echo "/* #define NDEBUG 1 */ "                     >>$@
 	@echo "#define RTEMS_TEST_NO_PAUSE 1"               >>$@
-	@echo "/* #define RTEMS_DEBUG  1 */"                >>$@
 endef
 
Index: make/custom/gen68340.cfg
===================================================================
--- make/custom/gen68340.cfg	(revision 8bb456a4ceb26e73737789ff0f70535dc63106c8)
+++ make/custom/gen68340.cfg	(revision 396079844dda52776558ba51e3f8a12a22d98679)
@@ -28,12 +28,8 @@
 #     do not pause between screens of output in the rtems tests
 #
-#  RTEMS_DEBUG (RTEMS)
-#     If defined, debug checks in RTEMS and support library code are enabled.
-#
 
 define make-target-options
 	@echo "/* #define NDEBUG 1 */ "                     >>$@
 	@echo "#define RTEMS_TEST_NO_PAUSE 1"               >>$@
-	@echo "/* #define RTEMS_DEBUG  1 */"                >>$@
 endef
 
Index: make/custom/gen68360.cfg
===================================================================
--- make/custom/gen68360.cfg	(revision 8bb456a4ceb26e73737789ff0f70535dc63106c8)
+++ make/custom/gen68360.cfg	(revision 396079844dda52776558ba51e3f8a12a22d98679)
@@ -39,7 +39,4 @@
 #     do not pause between screens of output in the rtems tests
 #
-#  RTEMS_DEBUG (RTEMS)
-#     If defined, debug checks in RTEMS and support library code are enabled.
-#
 
 ifeq ($(RTEMS_GEN68360_COMPANION_MODE),yes)
@@ -47,5 +44,4 @@
 	@echo "/* #define NDEBUG 1 */ "                     >>$@
 	@echo "#define RTEMS_TEST_NO_PAUSE 1"               >>$@
-	@echo "/* #define RTEMS_DEBUG  1 */"                >>$@
 endef
 else
@@ -53,5 +49,4 @@
 	@echo "/* #define NDEBUG 1 */ "                     >>$@
 	@echo "#define RTEMS_TEST_NO_PAUSE 1"               >>$@
-	@echo "/* #define RTEMS_DEBUG  1 */"                >>$@
 	@echo "#define RTEMS__mcpu32p__ 1"                  >>$@
 endef
Index: make/custom/gensh1.cfg
===================================================================
--- make/custom/gensh1.cfg	(revision 8bb456a4ceb26e73737789ff0f70535dc63106c8)
+++ make/custom/gensh1.cfg	(revision 396079844dda52776558ba51e3f8a12a22d98679)
@@ -46,12 +46,8 @@
 #     do not pause between screens of output in the rtems tests
 #
-#  RTEMS_DEBUG (RTEMS)
-#     If defined, debug checks in RTEMS and support library code are enabled.
-#
 
 define make-target-options
 	@echo "/* #define NDEBUG 1 */ "                     >>$@
 	@echo "#define RTEMS_TEST_NO_PAUSE 1"               >>$@
-	@echo "/* #define RTEMS_DEBUG  1 */"                >>$@
 endef
 
Index: make/custom/gensh2.cfg
===================================================================
--- make/custom/gensh2.cfg	(revision 8bb456a4ceb26e73737789ff0f70535dc63106c8)
+++ make/custom/gensh2.cfg	(revision 396079844dda52776558ba51e3f8a12a22d98679)
@@ -49,7 +49,4 @@
 #     do not pause between screens of output in the rtems tests
 #
-#  RTEMS_DEBUG (RTEMS)
-#     If defined, debug checks in RTEMS and support library code are enabled.
-#
 #  STANDALONE_EVB
 #     This switch compiles code to jump-start from FLASH, without a monitor
@@ -66,5 +63,4 @@
 	@echo "/* #define STANDALONE_EVB 1 */"              >>$@
 	@echo "#define START_HW_INIT 1"                     >>$@
-	@echo "/* #define RTEMS_DEBUG  1 */"                >>$@
 endef
 
Index: make/custom/h8sim.cfg
===================================================================
--- make/custom/h8sim.cfg	(revision 8bb456a4ceb26e73737789ff0f70535dc63106c8)
+++ make/custom/h8sim.cfg	(revision 396079844dda52776558ba51e3f8a12a22d98679)
@@ -32,11 +32,8 @@
 #     do not pause between screens of output in the rtems tests
 #
-#  RTEMS_DEBUG (RTEMS)
-#     If defined, debug checks in RTEMS and support library code are enabled.
 
 define make-target-options
 	@echo "/* #define NDEBUG 1 */ "                     >>$@
 	@echo "#define RTEMS_TEST_NO_PAUSE 1"               >>$@
-	@echo "/* #define RTEMS_DEBUG  1 */"                >>$@
 endef
 
Index: make/custom/helas403.cfg
===================================================================
--- make/custom/helas403.cfg	(revision 8bb456a4ceb26e73737789ff0f70535dc63106c8)
+++ make/custom/helas403.cfg	(revision 396079844dda52776558ba51e3f8a12a22d98679)
@@ -28,8 +28,4 @@
 #     do not pause between screens of output in the rtems tests
 #
-#  RTEMS_DEBUG (RTEMS)
-#     If defined, debug checks in RTEMS and support library code are enabled.
-#
-#       
 #  PPC_VECTOR_FILE_BASE (PowerPC)
 #     This defines the base address of the exception table.
@@ -45,5 +41,4 @@
 	@echo "/* #define NDEBUG 1 */ "                     >>$@
 	@echo "#define RTEMS_TEST_NO_PAUSE 1"               >>$@
-	@echo "/* #define RTEMS_DEBUG  1 */"                >>$@
 	@echo "#define PPC_VECTOR_FILE_BASE 0x0100"         >>$@
 	@echo "#define PPC_USE_SPRG 1"                      >>$@
Index: make/custom/i386ex.cfg
===================================================================
--- make/custom/i386ex.cfg	(revision 8bb456a4ceb26e73737789ff0f70535dc63106c8)
+++ make/custom/i386ex.cfg	(revision 396079844dda52776558ba51e3f8a12a22d98679)
@@ -32,11 +32,8 @@
 #     do not pause between screens of output in the rtems tests
 #
-#  RTEMS_DEBUG (RTEMS)
-#     If defined, debug checks in RTEMS and support library code are enabled.
 
 define make-target-options
 	@echo "/* #define NDEBUG 1 */ "                     >>$@
 	@echo "#define RTEMS_TEST_NO_PAUSE 1"               >>$@
-	@echo "/* #define RTEMS_DEBUG  1 */"                >>$@
 endef
 
Index: make/custom/i960sim.cfg
===================================================================
--- make/custom/i960sim.cfg	(revision 8bb456a4ceb26e73737789ff0f70535dc63106c8)
+++ make/custom/i960sim.cfg	(revision 396079844dda52776558ba51e3f8a12a22d98679)
@@ -32,11 +32,8 @@
 #     do not pause between screens of output in the rtems tests
 #
-#  RTEMS_DEBUG (RTEMS)
-#     If defined, debug checks in RTEMS and support library code are enabled.
 
 define make-target-options
 	@echo "/* #define NDEBUG 1 */ "                     >>$@
 	@echo "#define RTEMS_TEST_NO_PAUSE 1"               >>$@
-	@echo "/* #define RTEMS_DEBUG  1 */"                >>$@
 endef
 
Index: make/custom/idp.cfg
===================================================================
--- make/custom/idp.cfg	(revision 8bb456a4ceb26e73737789ff0f70535dc63106c8)
+++ make/custom/idp.cfg	(revision 396079844dda52776558ba51e3f8a12a22d98679)
@@ -22,11 +22,8 @@
 #     do not pause between screens of output in the rtems tests
 #
-#  RTEMS_DEBUG (RTEMS)
-#     If defined, debug checks in RTEMS and support library code are enabled.
 
 define make-target-options
 	@echo "/* #define NDEBUG 1 */ "                     >>$@
 	@echo "#define RTEMS_TEST_NO_PAUSE 1"               >>$@
-	@echo "/* #define RTEMS_DEBUG  1 */"                >>$@
 endef
 
Index: make/custom/mbx860_005b.cfg
===================================================================
--- make/custom/mbx860_005b.cfg	(revision 8bb456a4ceb26e73737789ff0f70535dc63106c8)
+++ make/custom/mbx860_005b.cfg	(revision 396079844dda52776558ba51e3f8a12a22d98679)
@@ -35,4 +35,3 @@
         @echo "/* #define STACK_CHECKER_ON  1 */"           >>$@
         @echo "/* #define STACK_CHECKER_REPORT_USAGE  1 */" >>$@
-        @echo "/* #define RTEMS_DEBUG  1 */"                >>$@
 endef
Index: make/custom/mbx8xx.cfg
===================================================================
--- make/custom/mbx8xx.cfg	(revision 8bb456a4ceb26e73737789ff0f70535dc63106c8)
+++ make/custom/mbx8xx.cfg	(revision 396079844dda52776558ba51e3f8a12a22d98679)
@@ -122,6 +122,4 @@
 #     per task is printed when the program exits.
 #
-#  RTEMS_DEBUG (RTEMS)
-#     If defined, debug checks in RTEMS and support library code are enabled.
 
 define make-target-options
@@ -146,5 +144,4 @@
 	@echo "/* #define STACK_CHECKER_ON  1 */"           >>$@
 	@echo "/* #define STACK_CHECKER_REPORT_USAGE  1 */" >>$@
-	@echo "/* #define RTEMS_DEBUG  1 */"                >>$@
 endef
 
Index: make/custom/mcp750.cfg
===================================================================
--- make/custom/mcp750.cfg	(revision 8bb456a4ceb26e73737789ff0f70535dc63106c8)
+++ make/custom/mcp750.cfg	(revision 396079844dda52776558ba51e3f8a12a22d98679)
@@ -23,7 +23,4 @@
 #     do not pause between screens of output in the rtems tests
 #
-#  RTEMS_DEBUG (RTEMS)
-#     If defined, debug checks in RTEMS and support library code are enabled.
-#
 #  PPC_VECTOR_FILE_BASE (ppc)
 #     This defines the base address of the exception table.
@@ -45,5 +42,4 @@
 	@echo "/* #define NDEBUG 1 */ "                        >>$@
 	@echo "#define RTEMS_TEST_NO_PAUSE 1"                  >>$@
-	@echo "/* #define RTEMS_DEBUG  1 */"                   >>$@
 	@echo "#define PPCN_60X_USE_DINK 0"                   >>$@
 	@echo "#define PPCN_60X_USE_NONE 1"                   >>$@
Index: make/custom/mvme136.cfg
===================================================================
--- make/custom/mvme136.cfg	(revision 8bb456a4ceb26e73737789ff0f70535dc63106c8)
+++ make/custom/mvme136.cfg	(revision 396079844dda52776558ba51e3f8a12a22d98679)
@@ -32,11 +32,8 @@
 #     do not pause between screens of output in the rtems tests
 #
-#  RTEMS_DEBUG (RTEMS)
-#     If defined, debug checks in RTEMS and support library code are enabled.
 
 define make-target-options
 	@echo "/* #define NDEBUG 1 */ "                     >>$@
 	@echo "#define RTEMS_TEST_NO_PAUSE 1"               >>$@
-	@echo "/* #define RTEMS_DEBUG  1 */"                >>$@
 endef
 
Index: make/custom/mvme147.cfg
===================================================================
--- make/custom/mvme147.cfg	(revision 8bb456a4ceb26e73737789ff0f70535dc63106c8)
+++ make/custom/mvme147.cfg	(revision 396079844dda52776558ba51e3f8a12a22d98679)
@@ -29,11 +29,8 @@
 #     do not pause between screens of output in the rtems tests
 #
-#  RTEMS_DEBUG (RTEMS)
-#     If defined, debug checks in RTEMS and support library code are enabled.
 
 define make-target-options
 	@echo "/* #define NDEBUG 1 */ "                     >>$@
 	@echo "#define RTEMS_TEST_NO_PAUSE 1"               >>$@
-	@echo "/* #define RTEMS_DEBUG  1 */"                >>$@
 endef
 
Index: make/custom/mvme162.cfg
===================================================================
--- make/custom/mvme162.cfg	(revision 8bb456a4ceb26e73737789ff0f70535dc63106c8)
+++ make/custom/mvme162.cfg	(revision 396079844dda52776558ba51e3f8a12a22d98679)
@@ -53,6 +53,4 @@
 #     do not have a second trap table -- use the BSP's
 #
-#  RTEMS_DEBUG (RTEMS)
-#     If defined, debug checks in RTEMS and support library code are enabled.
 
 define make-target-options
@@ -61,5 +59,4 @@
 	@echo "/* #define NDEBUG 1 */ "                     >>$@
 	@echo "#define RTEMS_TEST_NO_PAUSE 1"               >>$@
-	@echo "/* #define RTEMS_DEBUG  1 */"                >>$@
 endef
 
Index: make/custom/mvme167.cfg
===================================================================
--- make/custom/mvme167.cfg	(revision 8bb456a4ceb26e73737789ff0f70535dc63106c8)
+++ make/custom/mvme167.cfg	(revision 396079844dda52776558ba51e3f8a12a22d98679)
@@ -42,7 +42,4 @@
 #     do not pause between screens of output in the rtems tests
 #
-#  RTEMS_DEBUG (RTEMS)
-#     If defined, debug checks in RTEMS and support library code are enabled.
-#
 #  CD2401_INT_LEVEL
 #	  Interrupt level for the CD2401.
@@ -54,5 +51,4 @@
 	@echo "/* #define NDEBUG 1 */ "                     >>$@
 	@echo "#define RTEMS_TEST_NO_PAUSE 1"               >>$@
-	@echo "/* #define RTEMS_DEBUG  1 */"                >>$@
 #	@echo "#define CD2401_INT_LEVEL 1"                  >>$@
 #	@echo "#define CD2401_POLLED_IO 1"                  >>$@
Index: make/custom/mvme2307.cfg
===================================================================
--- make/custom/mvme2307.cfg	(revision 8bb456a4ceb26e73737789ff0f70535dc63106c8)
+++ make/custom/mvme2307.cfg	(revision 396079844dda52776558ba51e3f8a12a22d98679)
@@ -23,7 +23,4 @@
 #     do not pause between screens of output in the rtems tests
 #
-#  RTEMS_DEBUG (RTEMS)
-#     If defined, debug checks in RTEMS and support library code are enabled.
-#
 #  CONSOLE_USE_POLLED     (mvme2307_bsp)
 #  CONSOLE_USE_INTERRUPTS (mvme2307_bsp)
@@ -46,5 +43,4 @@
 	@echo "/* #define NDEBUG 1 */ "                        >>$@
 	@echo "#define RTEMS_TEST_NO_PAUSE 1"                  >>$@
-	@echo "/* #define RTEMS_DEBUG  1 */"                   >>$@
 	@echo "#define PPCN_60X_USE_DINK 0"                   >>$@
 	@echo "#define PPCN_60X_USE_NONE 1"                   >>$@
Index: make/custom/ods68302.cfg
===================================================================
--- make/custom/ods68302.cfg	(revision 8bb456a4ceb26e73737789ff0f70535dc63106c8)
+++ make/custom/ods68302.cfg	(revision 396079844dda52776558ba51e3f8a12a22d98679)
@@ -45,11 +45,8 @@
 #     do not pause between screens of output in the rtems tests
 #
-#  RTEMS_DEBUG (RTEMS)
-#     If defined, debug checks in RTEMS and support library code are enabled.
 
 define make-target-options
 	@echo "/* #define NDEBUG 1 */ "                     >>$@
 	@echo "#define RTEMS_TEST_NO_PAUSE 1"               >>$@
-	@echo "#define RTEMS_DEBUG  1"                      >>$@
 endef
 
Index: make/custom/p4000.cfg
===================================================================
--- make/custom/p4000.cfg	(revision 8bb456a4ceb26e73737789ff0f70535dc63106c8)
+++ make/custom/p4000.cfg	(revision 396079844dda52776558ba51e3f8a12a22d98679)
@@ -21,12 +21,8 @@
 #     do not pause between screens of output in the rtems tests
 #
-#  RTEMS_DEBUG (RTEMS)
-#     If defined, debug checks in RTEMS and support library code are enabled.
-#
 
 define make-target-options
 	@echo "/* #define NDEBUG 1 */ "                     >>$@
 	@echo "#define RTEMS_TEST_NO_PAUSE 1"               >>$@
-	@echo "/* #define RTEMS_DEBUG  1 */"                >>$@
 endef
 
Index: make/custom/p4600.cfg
===================================================================
--- make/custom/p4600.cfg	(revision 8bb456a4ceb26e73737789ff0f70535dc63106c8)
+++ make/custom/p4600.cfg	(revision 396079844dda52776558ba51e3f8a12a22d98679)
@@ -27,12 +27,8 @@
 #     do not pause between screens of output in the rtems tests
 #
-#  RTEMS_DEBUG (RTEMS)
-#     If defined, debug checks in RTEMS and support library code are enabled.
-#
 
 define make-target-options
 	@echo "/* #define NDEBUG 1 */ "                     >>$@
 	@echo "#define RTEMS_TEST_NO_PAUSE 1"               >>$@
-	@echo "/* #define RTEMS_DEBUG  1 */"                >>$@
 endef
 
Index: make/custom/p4650.cfg
===================================================================
--- make/custom/p4650.cfg	(revision 8bb456a4ceb26e73737789ff0f70535dc63106c8)
+++ make/custom/p4650.cfg	(revision 396079844dda52776558ba51e3f8a12a22d98679)
@@ -27,12 +27,8 @@
 #     do not pause between screens of output in the rtems tests
 #
-#  RTEMS_DEBUG (RTEMS)
-#     If defined, debug checks in RTEMS and support library code are enabled.
-#
 
 define make-target-options
 	@echo "/* #define NDEBUG 1 */ "                     >>$@
 	@echo "#define RTEMS_TEST_NO_PAUSE 1"               >>$@
-	@echo "/* #define RTEMS_DEBUG  1 */"                >>$@
 endef
 
Index: make/custom/papyrus.cfg
===================================================================
--- make/custom/papyrus.cfg	(revision 8bb456a4ceb26e73737789ff0f70535dc63106c8)
+++ make/custom/papyrus.cfg	(revision 396079844dda52776558ba51e3f8a12a22d98679)
@@ -22,8 +22,4 @@
 #     do not pause between screens of output in the rtems tests
 #
-#  RTEMS_DEBUG (RTEMS)
-#     If defined, debug checks in RTEMS and support library code are enabled.
-#
-#       
 #  PPC_VECTOR_FILE_BASE (PowerPC)
 #     This defines the base address of the exception table.
@@ -39,5 +35,4 @@
 	@echo "/* #define NDEBUG 1 */ "                     >>$@
 	@echo "#define RTEMS_TEST_NO_PAUSE 1"               >>$@
-	@echo "/* #define RTEMS_DEBUG  1 */"                >>$@
 	@echo "#define PPC_VECTOR_FILE_BASE 0x0100"         >>$@
 	@echo "#define PPC_USE_SPRG 1"                      >>$@
Index: make/custom/pc386.cfg
===================================================================
--- make/custom/pc386.cfg	(revision 8bb456a4ceb26e73737789ff0f70535dc63106c8)
+++ make/custom/pc386.cfg	(revision 396079844dda52776558ba51e3f8a12a22d98679)
@@ -35,11 +35,8 @@
 #     do not pause between screens of output in the rtems tests
 #
-#  RTEMS_DEBUG (RTEMS)
-#     If defined, debug checks in RTEMS and support library code are enabled.
 
 define make-target-options
 	@echo "/* #define NDEBUG 1 */ "                     >>$@
 	@echo "/* #define RTEMS_TEST_NO_PAUSE 1 */"         >>$@
-	@echo "/* #define RTEMS_DEBUG  1 */"                >>$@
 endef
 
Index: make/custom/portsw.cfg
===================================================================
--- make/custom/portsw.cfg	(revision 8bb456a4ceb26e73737789ff0f70535dc63106c8)
+++ make/custom/portsw.cfg	(revision 396079844dda52776558ba51e3f8a12a22d98679)
@@ -24,12 +24,8 @@
 #     do not pause between screens of output in the rtems tests
 #
-#  RTEMS_DEBUG (RTEMS)
-#     If defined, debug checks in RTEMS and support library code are  enabled.
-#
 
 define make-target-options
 	@echo "/* #define NDEBUG 1 */ "                     >>$@
 	@echo "#define RTEMS_TEST_NO_PAUSE 1"               >>$@
-	@echo "/* #define RTEMS_DEBUG  1 */"                >>$@
 endef
 
Index: make/custom/ppcn_60x.cfg
===================================================================
--- make/custom/ppcn_60x.cfg	(revision 8bb456a4ceb26e73737789ff0f70535dc63106c8)
+++ make/custom/ppcn_60x.cfg	(revision 396079844dda52776558ba51e3f8a12a22d98679)
@@ -23,7 +23,4 @@
 #  RTEMS_TEST_NO_PAUSE (RTEMS tests)
 #     do not pause between screens of output in the rtems tests
-#
-#  RTEMS_DEBUG (RTEMS)
-#     If defined, debug checks in RTEMS and support library code are enabled.
 #
 #  PPCN_60X_USE_DINK           (ppcn_60x_bsp)
@@ -52,5 +49,4 @@
 	@echo "/* #define NDEBUG 1 */ "                        >>$@
 	@echo "#define RTEMS_TEST_NO_PAUSE 1"                  >>$@
-	@echo "/* #define RTEMS_DEBUG  1 */"                   >>$@
 	@echo "#define PPCN_60X_USE_DINK 1"                   >>$@
 	@echo "#define PPCN_60X_USE_NONE 0"                   >>$@
Index: make/custom/psim.cfg
===================================================================
--- make/custom/psim.cfg	(revision 8bb456a4ceb26e73737789ff0f70535dc63106c8)
+++ make/custom/psim.cfg	(revision 396079844dda52776558ba51e3f8a12a22d98679)
@@ -21,7 +21,4 @@
 #  RTEMS_TEST_NO_PAUSE (RTEMS tests)
 #     do not pause between screens of output in the rtems tests
-#
-#  RTEMS_DEBUG (RTEMS)
-#     If defined, debug checks in RTEMS and support library code are enabled.
 #
 #  CONSOLE_USE_POLLED     (psim_bsp)
@@ -51,5 +48,4 @@
 	@echo "/* #define NDEBUG 1 */ "                            >>$@
 	@echo "#define RTEMS_TEST_NO_PAUSE 1"                      >>$@
-	@echo "/* #define RTEMS_DEBUG  1 */"                       >>$@
 	@echo "#define CONSOLE_USE_INTERRUPTS 0"                   >>$@
 	@echo "#define CONSOLE_USE_POLLED !CONSOLE_USE_INTERRUPTS" >>$@
Index: make/custom/rxgen960.cfg
===================================================================
--- make/custom/rxgen960.cfg	(revision 8bb456a4ceb26e73737789ff0f70535dc63106c8)
+++ make/custom/rxgen960.cfg	(revision 396079844dda52776558ba51e3f8a12a22d98679)
@@ -39,11 +39,8 @@
 #     do not have a second trap table -- use the BSP's
 #
-#  RTEMS_DEBUG (RTEMS)
-#     If defined, debug checks in RTEMS and support library code are enabled.
 
 define make-target-options
 	@echo "/* #define NDEBUG 1 */ "                     >>$@
 	@echo "#define RTEMS_TEST_NO_PAUSE 1"               >>$@
-	@echo "/* #define RTEMS_DEBUG  1 */"                >>$@
 endef
 
Index: make/custom/score603e.cfg
===================================================================
--- make/custom/score603e.cfg	(revision 8bb456a4ceb26e73737789ff0f70535dc63106c8)
+++ make/custom/score603e.cfg	(revision 396079844dda52776558ba51e3f8a12a22d98679)
@@ -42,7 +42,4 @@
 #     do not pause between screens of output in the rtems tests
 #
-#  RTEMS_DEBUG (RTEMS)
-#     If defined, debug checks in RTEMS and support library code are enabled.
-#
 #  CONSOLE_USE_POLLED     (score603e_bsp)
 #  CONSOLE_USE_INTERRUPTS (score603e_bsp)
@@ -77,5 +74,4 @@
 	@echo "/* #define NDEBUG 1 */ "                              >>$@
 	@echo "#define RTEMS_TEST_NO_PAUSE 1"                        >>$@
-	@echo "/* #define RTEMS_DEBUG  1 */"                         >>$@
 	@echo "#define CONSOLE_USE_INTERRUPTS 0"                     >>$@
 	@echo "#define INITIALIZE_COM_PORTS 1"                       >>$@
Index: make/custom/simhppa.cfg
===================================================================
--- make/custom/simhppa.cfg	(revision 8bb456a4ceb26e73737789ff0f70535dc63106c8)
+++ make/custom/simhppa.cfg	(revision 396079844dda52776558ba51e3f8a12a22d98679)
@@ -45,7 +45,4 @@
 #     do not pause between screens of output in the rtems tests
 #
-#  RTEMS_DEBUG (RTEMS)
-#     If defined, debug checks in RTEMS and support library code are enabled.
-#
 #  SIMHPPA_FAST_IDLE (simhppa)
 #     If defined, speed up the clock ticks while the idle task is running so
@@ -57,5 +54,4 @@
 	@echo "/* #define NDEBUG 1 */ "                     >>$@
 	@echo "#define RTEMS_TEST_NO_PAUSE 1"               >>$@
-	@echo "/* #define RTEMS_DEBUG  1 */"                >>$@
 	@echo "#define SIMHPPA_FAST_IDLE  1 "               >>$@
 endef
Index: make/custom/ts_386ex.cfg
===================================================================
--- make/custom/ts_386ex.cfg	(revision 8bb456a4ceb26e73737789ff0f70535dc63106c8)
+++ make/custom/ts_386ex.cfg	(revision 396079844dda52776558ba51e3f8a12a22d98679)
@@ -33,7 +33,4 @@
 #     do not pause between screens of output in the rtems tests
 #
-#  RTEMS_DEBUG (RTEMS)
-#     If defined, debug checks in RTEMS and support library code are enabled.
-#
 #  BSP_DEBUG (BSP)
 #     Enables some debugging in the BSP package.
@@ -46,5 +43,4 @@
 	@echo "/* #define NDEBUG 1 */ "			>>$@
 	@echo "#define RTEMS_TEST_NO_PAUSE 1"		>>$@
-	@echo "#define RTEMS_DEBUG  1"			>>$@
 	@echo "/* #define UARTDEBUG  1 */"			>>$@
 	@echo "/* #define BSP_DEBUG  1 */"			>>$@
